Web Apps - Get Function

Web サイトの ID による関数情報の取得、またはデプロイ スロットの説明。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/functions/{functionName}?api-version=2026-07-15

URI パラメーター

名前 / 必須 型 説明
functionName
path True

string

関数名。

name
path True

string

サイト名。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前は大文字と小文字を区別しません。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

応答

名前 型 説明
200 OK

FunctionEnvelope

Azureの運用は無事に完了しました。

404 Not Found

サーバーは、要求されたリソースを見つけることができません。

Other Status Codes

DefaultErrorResponse

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 フロー。

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation あなたのユーザー アカウントになりすます

定義

名前 説明
createdByType

リソースを作成した ID の種類。

DefaultErrorResponse

App Service エラー応答。

DefaultErrorResponseError

エラー モデル。

DefaultErrorResponseErrorDetailsItem

詳細なエラー。

FunctionEnvelope

関数情報。

systemData

リソースの作成と最後の変更に関連するメタデータ。

createdByType

リソースを作成した ID の種類。

値 説明
User
Application
ManagedIdentity
Key

DefaultErrorResponse

App Service エラー応答。

名前 型 説明
error

DefaultErrorResponseError

エラー モデル。

DefaultErrorResponseError

エラー モデル。

名前 型 説明
code

string

プログラムでエラーを識別するための標準化された文字列。

details

DefaultErrorResponseErrorDetailsItem[]

詳細なエラー。

innererror

string

エラーのデバッグに関する詳細情報。

message

string

詳細なエラーの説明とデバッグ情報。

target

string

詳細なエラーの説明とデバッグ情報。

DefaultErrorResponseErrorDetailsItem

詳細なエラー。

名前 型 説明
code

string

プログラムでエラーを識別するための標準化された文字列。

message

string

詳細なエラーの説明とデバッグ情報。

target

string

詳細なエラーの説明とデバッグ情報。

FunctionEnvelope

関数情報。

名前 型 説明
id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

リソースの種類。

name

string

リソースの名前

properties.config

構成情報。

properties.config_href

string

構成 URI。

properties.files

object

ファイルの一覧。

properties.function_app_id

string

関数アプリ ID。

properties.href

string

関数 URI。

properties.invoke_url_template

string

呼び出し URL

properties.isDisabled

boolean

関数が無効かどうかを示す値を取得または設定します。

properties.language

string

関数言語

properties.script_href

string

スクリプト URI。

properties.script_root_path_href

string

スクリプト ルート パス URI。

properties.secrets_file_href

string

シークレット ファイル URI。

properties.test_data

string

Azure portalでテストする際に使用されたテストデータ。

properties.test_data_href

string

テスト データ URI。

systemData

systemData

createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。

type

string

リソースの種類。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts"

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 型 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。